//===================================================================
//                                                                  =
// Author:    Martin Berriman                                       =
// Copyright: Innovatronics Ltd 2006                                =
//                                                                  =
//===================================================================
#ifndef _COMMANDSH
#define _COMMANDSH

#nolist

//Commands
enum COMMANDS {
	CMD_NOOP = -1,
	CMD_HW_VER, 
	CMD_SW_VER,
	CMD_NUM_CHANNELS,
	CMD_GET_MODE,
	CMD_GET_PRESSURE,
	CMD_GET_RESULT,
	CMD_GET_CAL_DATE,
	CMD_GET_SERIAL_NUM,
	CMD_MAX_PRESSURE,
	CMD_MIN_PRESSURE,
	CMD_LIM_PRESSURE,
	CMD_STD_STRING,
	CMD_UNITS_STRING,
	CMD_CALIBRATE,
	CMD_SET_CAL_DATE,
	CMD_SET_SERIAL_NUM,
	CMD_ABORT,
	CMD_SET_STANDARD,
	CMD_SET_UNITS,
	CMD_DECIMAL_PLACES,
	CMD_START_TEST,
	CMD_MAX_SAMPLES,
	CMD_GET_MAX_STAB_SECS,
	CMD_GET_STAB_SECS,
	CMD_SET_CUSTOM_PARAMS,
	CMD_GET_CUSTOM_PARAMS,
	CMD_TIMER_TICK = 0x5A
};

#list
#endif
