//===================================================================
//                                                                  =
// Author:    Martin Berriman                                       =
// Copyright: Innovatronics Ltd 2006                                =
//                                                                  =
//===================================================================

#ifndef _STRINGSH
#define _STRINGSH

#nolist

// INCLUDES =========================================================
// END INCLUDES =====================================================

// DEFINES ==========================================================
// END DEFINES ======================================================

// PROTOTYPES =======================================================
void load_string(int8 string_type, int8 string_num, char * str);
void load_string_name(char * str);
void load_string_version_hw(char * str);
void load_string_version_sw(char * str);
void load_string_serial(char * str, unsigned int16 serial_no);
void load_string_caldate(char * str, char * cal_date);
void load_string_idle(char * str);
void fix_string_int(char * str, int8 val, int8 zeros);
void fix_string_long(char * str, int16 val, int8 zeros, bool rehash);
void fix_string_pressure(char * str, int16 val, bool rehash);
void fix_string_str(char * str, char * str2);
void load_string_test_info(char * str, int8 string_num);
void load_string_tests_info(char * str, int8 string_num);
// END PROTOTYPES ===================================================

#list

// =============================================================
#endif